Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.service
Class ServiceClientUtil

    java.lang.Object
      org.apache.ode.axis2.service.ServiceClientUtil

    public class ServiceClientUtil

extends java.lang.Object

Client utilities that can be used to invoke easily the deployment and management services with Axis2.

Constructor Summary
`ServiceClientUtil()`

Method Summary
`org.apache.axiom.om.OMElement` | `buildMessage(java.lang.String operation, java.lang.String[] params, java.lang.Object[] values)` Builds a message for the deployment and management API using simple parameter passing.
`org.apache.axiom.om.OMElement` | `send(org.apache.axiom.om.OMElement msg, java.lang.String url)` Sends the provided message to an Axis2 deployed service.
`org.apache.axiom.om.OMElement` | `send(org.apache.axiom.om.OMElement msg, java.lang.String url, long timeout)` Sends the provided message to an Axis2 deployed service allowing to set a specific timeout (in ms).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceClientUtil

    public ServiceClientUtil()

Method Detail

### send

    public org.apache.axiom.om.OMElement send(org.apache.axiom.om.OMElement msg,
                                              java.lang.String url)
                                       throws org.apache.axis2.AxisFault

  Sends the provided message to an Axis2 deployed service.

  Parameters:
    `msg` - the message OMElement that will be included in the body
    `url` - to send the message to
  Returns:
    the response message
  Throws:
    `org.apache.axis2.AxisFault` - when a problem occured during the call

### send

    public org.apache.axiom.om.OMElement send(org.apache.axiom.om.OMElement msg,
                                              java.lang.String url,
                                              long timeout)
                                       throws org.apache.axis2.AxisFault

  Sends the provided message to an Axis2 deployed service allowing to set a specific timeout (in ms).

  Parameters:
    `msg` - the message OMElement that will be included in the body
    `url` - to send the message to
    `timeout` - in milliseconds
  Returns:
    the response message
  Throws:
    `org.apache.axis2.AxisFault` - when a problem occured during the call

### buildMessage

    public org.apache.axiom.om.OMElement buildMessage(java.lang.String operation,
                                                      java.lang.String[] params,
                                                      java.lang.Object[] values)

  Builds a message for the deployment and management API using simple parameter passing. Example:
  `buildMessage("listProcesses", new String[] {"filter", "orderKeys"}, new String[] {"name=DynPartnerResponder namespace=http://ode/bpel/responder " + "deployed>=" + notSoLongAgoStr, ""});`

  Parameters:
    `operation` - to call
    `params` - list of the parameters for the operation as defined in the WSDL document
    `values` - of the parameters
  Returns:
    the message to send

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD